<?php
include('cap.php');
$info="";
$size_img_cat=100;

if(!is_file('db/sub.txt')){touch('bl.txt');touch('cat.txt');touch('descr.php');touch('head.txt');touch('id_mail.txt');touch('mail.txt');touch('sub.txt');touch('zagl');}
 function foto($foto)
 {
                global $size_img_cat;
                $size_img=array();
                //Размер
                $size_img=getimagesize("foto/$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$size_img_cat)
                   {
                     $balans=$size_img[0]/$size_img_cat;
                     if(round($balans)>=1)
                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
                        }

                   }
                if($size_img[1]>$size_img_cat)
                   {
                     $balans=$size_img[1]/$size_img_cat;
                     if(round($balans)>=1)
                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
                        }
                   }


                echo "<img src=foto/$foto width=$size_img[0] height=$size_img[1] border=0 align=middle hspace=10 alt='фото'>";


 }


if(isset($_GET['up'])  && isset($_GET['s']) && file_exists("db/news/$_GET[s]") )
  {
    $arr_pos=file("db/id_foto/$_GET[s]");
    for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);

     if(!is_int(intval($_GET['up'])) || $_GET['up']<=0 || ($_GET['up']+1) > count($arr_pos))
       {
       	  echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
          exit();
       }

    $old=$arr_pos[$_GET['up']];
    $now=$arr_pos[$_GET['up']-1];
    $arr_pos[$_GET['up']]=$now;
    $arr_pos[$_GET['up']-1]=$old;

    $f=fopen("db/id_foto/$_GET[s]","w");
    foreach($arr_pos as $line) fwrite($f,$line."\r\n");
    fclose($f);

    echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
    exit();
  }

if(isset($_GET['down']) && isset($_GET['s']) && file_exists("db/news/$_GET[s]") )
  {
    $arr_pos=file("db/id_foto/$_GET[s]");
    for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);

    if(!is_int(intval($_GET['down'])) || $_GET['down']<0 || ($_GET['down']+1) >= count($arr_pos) )
       {
       	 echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
         exit();
       }

    $old=$arr_pos[$_GET['down']];
    $now=$arr_pos[$_GET['down']+1];
    $arr_pos[$_GET['down']]=$now;
    $arr_pos[$_GET['down']+1]=$old;

    $f=fopen("db/id_foto/$_GET[s]","w");
    foreach($arr_pos as $line) fwrite($f,$line."\r\n");
    fclose($f);

    echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
    exit();
  }

if(isset($_GET['del']) && isset($_GET['s']) && file_exists("db/news/$_GET[s]") && file_exists("foto/$_GET[del]"))
  {
     $file=file("db/id_foto/$_GET[s]");
     $f=fopen("db/id_foto/$_GET[s]","w");
     foreach($file as $line)
      {
        $line=trim($line);
        if($line==$_GET['del'])continue;
        fwrite($f,$line."\r\n");
      }
     fclose($f);

     unlink("foto/$_GET[del]");
      echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
    exit();
  }

if(@$_FILES['foto']['name']!="")
          {
            //Изображение ли это
            if(substr($_FILES['foto']['type'],0,5)!="image" )  $info="ФАЙЛ ФОТО НЕ ЯВЛЯЕТСЯ ИЗОБРАЖЕНИЕМ!";

            if($info=="")
              {
               $arr_type=array('gif','png','jpg','bmp','GIF','PNG','JPG','BMP');
               $type_file=explode(".",$_FILES['foto']['name']);
               $type_file=$type_file[count($type_file)-1];
        	   if(!in_array($type_file,$arr_type))$info="ДЛЯ ЗАГРУЗКИ ФОТО РАЗРЕШЕНЫ ТИПЫ gif, png, jpg, bmp!";
              }

              if($info=="")
               {
                 $time=time();
                 $name_foto=$time.".".$type_file;
                 if(copy($_FILES['foto']['tmp_name'],"foto/$name_foto"))
                    {
                      $f=fopen("db/id_foto/$_GET[s]","a+");
                      fwrite($f,$name_foto."\r\n");
                      fclose($f);

                      echo "<meta http-equiv=refresh content='0; url=admin.php?s=$_GET[s]'>";
                      exit();
                    }
                 else $info="<font color=red>ЗАГРУЗКА ФОТО НЕУДАЧНА!</font>";
               }

          }

if(isset($_POST['name']))
  {
    //дата
    if(($_POST['day']>29 && $_POST['month']==2) || ($_POST['day']>30 && $_POST['month']==4) || ($_POST['day']>30 && $_POST['month']==6) ||
    ($_POST['day']>30 && $_POST['month']==9) || ($_POST['day']>30 && $_POST['month']==11))  $info="Указанная дата некорректна!<br />";

        $_POST['name']=trim($_POST['name']);
        $_POST['name']=stripslashes($_POST['name']);
		
		$_POST['flname']=trim($_POST['flname']);
        $_POST['flname']=stripslashes($_POST['flname']);
		
	 
        $_POST['resume']=trim($_POST['resume']);
        $_POST['resume']=stripslashes($_POST['resume']);
        $_POST['resume']=str_replace("\r\n","<br>",$_POST['resume']);


        $_POST['text']=trim($_POST['text']);
        $_POST['text']=stripslashes($_POST['text']);
        $_POST['text']=str_replace("\r\n","",$_POST['text']);
					// Чистка кода CDATA
			$_POST['text']=str_replace('// <![CDATA[','',$_POST['text']);
			$_POST['text']=str_replace('// ]]>','',$_POST['text']);
					//
// SG__ $_POST['text']=str_replace("\r\n","<br>",$_POST['text']);
         $_POST['code']=trim($_POST['code']);
         $_POST['code']=stripslashes($_POST['code']);
	  $ppath = 'db/news';
	  
	  $result = glob($ppath.'/*');
	 if($_POST['resume']=="" || $_POST['name']=="")$info.="Заголовок статьи и краткое содержание обязательно! <br/>";
//	 if(!isset($_POST['flname']) || $_POST['flname']=="" ) $info.="Введите имя страницы.<br/>" ;
	if(isset($_POST['flname']) && $_POST['flname']!="" )  {
	 if (in_array('db/news/'.$_POST['flname'], $result)) $info.="Такое имя страницы уже есть.<br/>";
	 if (preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_POST['flname'])) echo ""; else $info.="Неправильное имя страницы (только латинские буквы, цифры, подчеркивание, дефис, от 2 до 130 символов).<br/>" ;}
	 if($_FILES['uploadfile']['type']!="application/pdf" && $_FILES['uploadfile']['type']!="")$info.="Неверный формат загруженного файла pdf.<br/>" ; 
	 
    if($info=="")
      {
if(!isset($_POST['flname']) || $_POST['flname']=="" )       $time=time();
else  $time=$_POST['flname'];
	
// Копируем файл из /tmp в uploads
if (is_file($_FILES['uploadfile']['tmp_name'])) {
@mkdir ("../../sg_cm/upload/pdf");
copy($_FILES['uploadfile']['tmp_name'],"../../sg_cm/upload/pdf/".$time.".pdf");}

        $date=mktime(date('H'),date('i'),date('s'),$_POST['month'],$_POST['day'],$_POST['year']);
        if(isset($_POST['cat'])) $news_cat=$_POST['cat'];
        else $news_cat="";
        $f=fopen("db/news/$time","w+");
        fwrite($f,"$date\r\n$news_cat\r\n".$_POST['name']."\r\n".$_POST['resume']."\r\n".$_POST['text']);
        fclose($f);

        $f=fopen("db/id_foto/$time","w+");
        fclose($f);

        $f=fopen("db/code/$time","w+");
        fwrite($f,$_POST['code']);
        fclose($f);

        if($news_cat!="")
          {
          	 $f=fopen("db/cat/$news_cat","a+");
             fwrite($f,"$time\r\n");
             fclose($f);
          }

        $f=fopen("db/reyt/$time","w+");
        fwrite($f,"0");
        fclose($f);

        $f=fopen("db/stat/$time","w+");
        fwrite($f,"0");
        fclose($f);

        $f=fopen("db/ip/$time","w+");
        fclose($f);

        mkdir("db/comm/$time");

        if(isset($_POST['subscr']))
          {
             $f=fopen("db/sub.txt","a+");
             fwrite($f,"$time\r\n");
             fclose($f);
          }
	//	 заносим в базу id статьи , если не стоит галка в чекбоксе (статью публиковать не надо) 
		 if(checkbox_verify('public')==0) 
		 {
			file_put_contents("db/public.txt",$time."\r\n",FILE_APPEND);
          }

        echo "<meta http-equiv=refresh content='0; url=admin.php?s=$time'>";
        exit();


      }
  }

//if(!isset($_GET['s']) || !is_numeric($_GET['s']) || !file_exists("db/news/$_GET[s]"))
if(!isset($_GET['s'])  || !file_exists("db/news/$_GET[s]") ||  !preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_GET['s']))
$help="Статья добавляется в два этапа:<br />
1. Заголовок, категория (если есть), краткое содержание (выводится в списке всех статей), имя страницы (латинские буквы и цифры, будет отображаться в адресной строке браузера), текст статьи в формате pdf, полный текст.<br />
2. Фото (можно добавить потом в разделе редактирования). Для отображения фото рядом с кратким содержанием и в верхней части статьи необходимо включить эту опцию в настройках.<br />";

else
$help="Статья сохранена. Ключевые слова и Фото к ней вы можете добавить позже в разделе редактирования<br />
Если у вас более, чем одно фото, то первое будет отображаться рядом с кратким содержанием статьи,<br />
если эта настройка включена!";


?>
<table id=info ><tr><td><img src="img/inf.jpg"  alt="Справка" border="0" >
 </td>
    <td><?php echo $help ?>
    </td>
 </tr>
</table>
 <form  method="post" enctype=multipart/form-data>
<table  class=tab >



<?php
if($info!="")echo"<tr><td><font color=red>$info</font></td></tr>";
if(!isset($_GET['s'])  || !file_exists("db/news/$_GET[s]") ||  !preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_GET['s']))
//if(!isset($_GET['s']) || !is_numeric($_GET['s']) || !file_exists("db/news/$_GET[s]"))
{
$arr_month=array("январь","февраль","март","апрель","май","июнь","июль","август","сентябрь","октябрь","ноябрь","декабрь");


echo "<tr>
  <td >
  <input name=public type=checkbox checked=\"checked\"/>&nbsp;&nbsp;Опубликовать на сайте. <br /><br />
  <input name=subscr type=checkbox value=ON/>&nbsp;&nbsp;Отправить в подписку. <br />ВНИМАНИЕ! Для корректного формирования письма подписчикам заполните поле \"Ссылка на страницу, где установлен код...\" в разделе \"Настройки блока\" (даже если вы не используете краткий блок последних статей/новостей.)<br /><br />

  Дата<br />
<select  name=day>";
 for($n=1;$n<32;$n++)
   {
   	 $sel="";
   	 if(date("j")==$n)$sel='selected';
   	 echo "<option value=$n $sel>$n</option>";
   }

echo"</select>&nbsp;&nbsp;";

echo"<select  name=month>";
 for($n=0;$n<12;$n++)
   {
   	 $sel="";
   	 $c=$n+1;
   	 if(date("n")==$c)$sel='selected';
   	 echo "<option value=$c $sel>".$arr_month[$n]."</option>";
   }

echo"</select>&nbsp;&nbsp;";

echo"<select  name=year>";
 for($n=1980;$n<2061;$n++)
   {
   	 $sel="";
   	 if(date("Y")==$n)$sel='selected';
   	 echo "<option value=$n $sel>$n</option>";
   }

echo"</select><br /><br />";
		if (!isset($_POST['resume']))	$_POST['resume']='';
		if (!isset($_POST['text']))	$_POST['text']='';
		if (!isset($_POST['name']))	$_POST['name']='';
		if (!isset($_POST['flname']))	$_POST['flname']='';
echo"<font color=red>*</font>Заголовок<br />
  <input name=name type=text value='".$_POST['name']."' size=70><br /><br />";
$file=file("db/cat.txt");
if(count($file))
  {
  	echo "Категория<br /><select  name=cat>";

    foreach($file as $line)
      {
   	    $line=trim($line);
   	    $expl=explode("*",$line);
        echo "<option value=$expl[0]>$expl[1]</option>";
      }
    echo "</select><br /><br />";
  }

  echo "<font color=red>*</font>Краткое описание<br />
  <textarea name=resume rows=5 cols=80>";  echo  $_POST['resume'] ; echo"</textarea><br /><br />
Имя страницы (для отображения в адресной строке браузера)<br />
<input name=flname type=text value='".$_POST['flname']."' size=70><br /><br />
Выберите файл  для загрузки(текст статьи в формате pdf). Файл будет доступен для скачивания с сайта. Ссылка для скачивания будет размещена в верхней части статьи<br />
<input type=file name=uploadfile  size=100> <br/><br/><br/>
<div  style = width:701px;>
Полный текст"; ?>
<button class="mce-widget mce-btn mce-first" style="display:none;float:right; padding: 0 8px;" TYPE="button" NAME="selectredactor"  title="Загрузить другой редактор" VALUE="&lt;-&gt;" onclick="if (confirm('Внимание! Несохраненные изменения будут потеряны. Хотите продолжить?')) {document.location.href='<? echo "admin.php?nv=".$nv;?>'} else {return false}"><B>&lt;-&gt;</B></button>
							
  <textarea name=text  class=mceEditor rows=20 cols=80 style= width:100%> <? echo  $_POST['text'] ; echo"</textarea></div><br /><br />
  Код для вставки видео<br />
  <textarea name=code rows=10 cols=80></textarea><br /><br />
  <div align=center><input type=submit value=Далее name=go ></div></td></tr>";
}
else
{
  $file=file("db/id_foto/$_GET[s]");
  echo "<tr><td class='valtop'>фото<br /><input name=foto type=file><br /><br /><input type=submit value=загрузить title='Загрузить выбранное фото' > &nbsp;
  <input title='Завершить добавление статьи' type=button value=завершить onClick='location.href=\"admin2.php\"'></td><td>
   <table  align=center>";
  $n=0;
  foreach($file as $line)
    {
      $line=trim($line);
      echo"<tr><td>";
      foto($line);
      echo "</td><td><a href=admin.php?s=$_GET[s]&up=$n><img src=img/up.png  alt=вверх border=0></a>&nbsp;&nbsp;
      <a href=admin.php?s=$_GET[s]&down=$n><img src=img/down.png  alt=вниз border=0></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <a href=admin.php?s=$_GET[s]&del=$line><img src=img/del.png  alt=удалить border=0></a></td></tr>";
      $n++;
    }
  echo"</table></td></tr>";

}


?>



  </table>
  </form>
</div>
</body>
</html>